---
title: Seller Feedback
slug: countdownapi/ebay-product-data-api/parameters/seller-feedback
docTags: 
createdAt: 2024-07-29T12:49:20.015Z
---

# Seller Feedback Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Seller Feedback Parameters are applicable when making a request with  `type=seller_feedback`  to retrieve seller feedback data (i.e. feedback this seller has received or left for others) for a given seller on a given Ebay domain - the Ebay domain is specified using the  `ebay_domain`  parameter and the seller name is specified in the  `seller_name`  parameter. The parameters should be appended as querystring parameters to the Ebay Product Data API `GET` HTTP request.

Seller Feedback results are retrieved from the [seller feedback results page](https://www.ebay.com/usr/lytecordz) on Ebay.

![](https://apiimages.imgix.net/countdownapi/images/png/docs/seller_feedback.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Seller Feedback Page")

For example, to request seller feedback results for the seller name  `lytecordz`  on  `ebay.com` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.countdownapi.com/request?api_key=demo&type=seller_feedback&ebay_domain=ebay.com&seller_name=lytecordz
```

```curl
curl -L --get https://api.countdownapi.com/request \
-d api_key="demo" \
-d type="seller_feedback" \
-d ebay_domain="ebay.com" \
-d seller_name="lytecordz"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "seller_feedback",
  ebay_domain: "ebay.com",
  seller_name: "lytecordz"
}

// make the http GET request to Countdown API
axios.get('https://api.countdownapi.com/request', { params })
  .then(response => {

    // print the JSON response from Countdown API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'seller_feedback',
  'ebay_domain': 'ebay.com',
  'seller_name': 'lytecordz'
}

# make the http GET request to Countdown API
api_result = requests.get('https://api.countdownapi.com/request', params)

# print the JSON response from Countdown API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'seller_feedback',
  'ebay_domain' => 'ebay.com',
  'seller_name' => 'lytecordz'
]);

# make the http GET request to Countdown API
$ch = curl_init(sprintf('%s?%s', 'https://api.countdownapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Countdown API
echo $api_result;

?>
```
:::

***

### Seller Feedback Parameters

The following parameters are available for all requests made when  `type=seller_feedback` .

| `Parameter`                      | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| -------------------------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `ebay_domain`                    | `optional` | The Ebay domain to retrieve seller feedback results from. For a full list of supported Ebay domains see [Supported Ebay Domains ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/ebay-domains).                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `seller_name`                    | `optional` | The seller name to retrieve seller feedback details for. Used in combination with the `ebay_domain` parameter. Seller Names are returned from other Countdown API requests such as `type=product` and `type=reviews` .  <br />**Note** : If the `seller_name` and `ebay_domain` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                                                         |
| `url`                            | `optional` | The Ebay seller feedback page URL to retrieve seller feedback details from.  <br />**Note** : If the `url` parameter is supplied then the `ebay_domain` and `seller_name` parameters are ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `seller_feedback_type`           | `optional` | The type of seller feedback to retrieve. Valid values are `all` (for all received feedback), `received_as_buyer` (for all feedback received when this seller was a buyer, `received_as_seller` (for all feedback received when this seller was a seller or `left_for_others` (for feedback this seller has left for others).                                                                                                                                                                                                                                                                                                                                                         |
| `search_term`                    | `optional` | A search term to use to search seller feedback.<br />::Image[]{src="https://apiimages.imgix.net/countdownapi/images/png/docs/seller_feedback_search.png?auto=format&ixlib=react-9.5.1-beta.1&w=260" size="100" width="260" height="31" position="center" showCaption="false" indent="2"}<br />**Note**: The `search_term` parameter can only be used when `seller_feedback_type=received_as_seller`                                                                                                                                                                                                                                                                                  |
| `seller_feedback_time_period`    | `optional` | Determines the time period of the seller feedback to retrieve. Valid values are `all` (the default), `one_month` , `six_months` or `twelve_months` .<br />::Image[]{src="https://apiimages.imgix.net/countdownapi/images/png/docs/seller_feedback_period.png?auto=format&ixlib=react-9.5.1-beta.1&w=125" size="100" width="125" height="178" position="center" showCaption="false" indent="2"}<br />**Note**: The `seller_feedback_time_period` parameter can only be used when `seller_feedback_type=received_as_buyer` or `seller_feedback_type=received_as_seller`                                                                                                                |
| `seller_feedback_overall_rating` | `optional` | Determines the overall rating filter to be applied to the seller feedback to retrieve. Valid values are `positive` , `neutral` or `negative` .<br />::Image[]{src="https://apiimages.imgix.net/countdownapi/images/png/docs/seller_feedback_overall_rating.png?auto=format&ixlib=react-9.5.1-beta.1&w=125" size="100" width="125" height="153" position="center" showCaption="false" indent="2"}<br />**Note**: The `seller_feedback_overall_rating` parameter cannot be used when `seller_feedback_type=left_for_others`. Additionally `seller_feedback_overall_rating` can only be used when `seller_feedback_time_period` is set to `one_month`, `six_months` or `twelve_months`. |
| `page`                           | `optional` | The current page of seller feedback results to retrieve.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `max_page`                       | `optional` | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/pagination)docs for more information.                                                                                                                                                                                                                                                                                                                                                                    |
| `num`                            | `optional` | Determines the number of seller feedback results shown per page. Valid values are `num=25` , `num=50` , `num=100` and `num=200` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |

***

**Next Steps**
     [Seller Feedback Results](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/results/seller-feedback)
